# Uses of Class
org.eclipse.birt.report.model.api.core.AttributeEvent

Packages that use AttributeEvent
Package
Description
org.eclipse.birt.report.model.api.core
Represents the fundamental data structures of the user-defined property and the interface of UI listener.

## Uses of AttributeEvent in org.eclipse.birt.report.model.api.core

Methods in org.eclipse.birt.report.model.api.core with parameters of type AttributeEvent
Modifier and Type
Method
Description
`void`
IAttributeListener.`fileNameChanged(ModuleHandle targetElement, AttributeEvent ev)`
Notifies the element is validated.